Catalog import

This endpoint sends a catalog to be imported asynchronously to one or more stores. Each store generates an import identifier that can be used to check the process status afterwards. The catalog must have at least 60% of its items with images. It will return a 202 - Success response when all requests were sent successfully, or 206 - Partial Error if any post fails.

POST

https://api.mercadopago.com/proximity/integration/v1/catalog
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Body
store_ids
array
Array that receives external_ids of the stores that should receive the catalog. The external_ids of each store can be configured using the Mercado Pago Delivery API.
sections
array
Array of objects that contain information about the sections that should be imported into the catalog.
Response parameters
msg
string
Description of the operation result.
results
array
Array of publication results per store. List of publications that were sent to the processing queue.
Errors

400Description of the error.

error

Publication error caused by some inconsistency in the fields.

Provide valid data in the request parameters before executing.
Request
curl -X POST \
    'https://api.mercadopago.com/proximity/integration/v1/catalog'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    -d '{
  "sections": [
    {
      "description": "The most delicious burgers in town",
      "name": "Hamburguers",
      "items": [
        {
          "description": "Item Description",
          "external_id": "M147",
          "image": "https://",
          "name": "Cheese Burger",
          "price": 25.5,
          "discount_price": 20.5,
          "status": "active",
          "options": [
            {
              "name": "Desserts",
              "group_min": 1,
              "group_max": 5,
              "complements": [
                {
                  "description": "Complement description",
                  "external_id": "D184",
                  "image": "https://",
                  "min": 1,
                  "max": 5,
                  "name": "Chocolate ice cream",
                  "price": 7.25,
                  "status": "active"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}'
Response
{
  "msg": "Success",
  "results": [
    {
      "store_id": "external_store_id_01",
      "catalog_id": "b2f6b992-5133-11ed-a81f-acde48001122",
      "status": "processing"
    }
  ]
}